<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/academia_security.php");

if (!isset($_REQUEST['grupo']) || trim($_REQUEST['grupo'])=='0x'){
	$responce->page = 0;
	$responce->total = 0;
	$responce->records = 0;
	echo json_encode($response);
	exit;
}

require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

$examp = $_REQUEST["q"]; //query number

$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
$id = $_REQUEST['id'];
if(!$sidx) $sidx =1;
if(!$sord) $sord ="asc";
if(!$limit) $limit =10;

// search options
// IMPORTANT NOTE!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// this type of constructing is not recommendet
// it is only for demonstration
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

$grupo=(isset($_REQUEST['grupo']) && trim($_REQUEST['grupo'])!='') ? $_REQUEST['grupo'] : '';

$wh = "";
$searchOn = Strip($_REQUEST['_search']);
if($searchOn=='true') {
	$searchstr = Strip($_REQUEST['filters']);
	//$wh= constructWhere($searchstr);
	$jsona = json_decode($searchstr,true);
	$wh =  " AND ".getStringForGroup($jsona);
	//var_dump($wh);
	//echo $ss;
}



		$cons="SELECT COUNT(*) AS count FROM `aca_asignaturas` WHERE aca_asignaturas.cod_asi NOT IN (SELECT
     cod_asi FROM aca_asignaturasxgrupos WHERE cod_grupo =".$grupo.") ".$wh;
		
		/*	SELECT 
     aca_asignaturas.cod_asi
    ,aca_asignaturas.nom_asi
    , aca_asignaturas.abr_asi 
FROM aca_asignaturas
WHERE aca_asignaturas.cod_asi NOT IN (SELECT
     aca_asignaturasxgrupos.cod_asi
    FROM aca_asignaturasxgrupos
    WHERE aca_asignaturasxgrupos.cod_grupo = 1)
	
	*/
	
		
		
		
		
		$academia->instruccion($cons);
		
		$row = $academia->extraer_registro();
		$count = $row['count'];
		$academia->liberar();
		if( $count >0 ) {
			$total_pages = ceil($count/$limit);
		} else {
			$total_pages = 0;
		}
        if ($page > $total_pages) $page=$total_pages;
		$start = $limit*$page - $limit; // do not put $limit*($page - 1)
		if ($start<0) $start = 0;
        $SQL = "SELECT cod_asi,nom_asi, abr_asi FROM aca_asignaturas WHERE aca_asignaturas.cod_asi NOT IN (SELECT
     cod_asi FROM aca_asignaturasxgrupos WHERE cod_grupo =".$grupo.") ".$wh." ORDER BY $sidx $sord LIMIT $start , $limit";

//	echo $SQL;



		$academia->instruccion($SQL);
        
		$responce->page = $page;
        $responce->total = $total_pages;
        $responce->records = $count;
        $i=0;
		while($row = $academia->extraer_registro()) {
            $responce->rows[$i]['id']=$row[cod_asi];
			$responce->rows[$i]['cell']=array($row[nom_asi], $row[abr_asi]);
            $i++;
		} 

        echo json_encode($responce);  
$academia->cerrar();

?>
